curl --request GET \
--url https://api.twitterapi.io/twitter/user/followings \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.twitterapi.io/twitter/user/followings"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.twitterapi.io/twitter/user/followings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"followings": [
{
"type": "user",
"userName": "<string>",
"url": "<string>",
"id": "<string>",
"name": "<string>",
"profilePicture": "<string>",
"coverPicture": "<string>",
"description": "<string>",
"location": "<string>",
"followers": 123,
"following": 123,
"canDm": true,
"createdAt": "<string>",
"favouritesCount": 123,
"hasCustomTimelines": true,
"isTranslator": true,
"mediaCount": 123,
"statusesCount": 123,
"withheldInCountries": [
"<string>"
],
"affiliatesHighlightedLabel": {},
"possiblySensitive": true,
"pinnedTweetIds": [
"<string>"
],
"isAutomated": true,
"automatedBy": "<string>",
"unavailable": true,
"message": "<string>",
"unavailableReason": "<string>",
"profile_bio": {
"description": "<string>",
"entities": {
"description": {
"urls": [
{
"display_url": "<string>",
"expanded_url": "<string>",
"indices": [
123
],
"url": "<string>"
}
]
},
"url": {
"urls": [
{
"display_url": "<string>",
"expanded_url": "<string>",
"indices": [
123
],
"url": "<string>"
}
]
}
}
}
}
],
"has_next_page": true,
"next_cursor": "<string>",
"status": "success",
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Get User Followings
Get user followings (with full profile metadata). Sorted by follow date ā most recent followings appear on the first page. Use cursor for pagination.
Tiered pricing (per following returned)
Credits ā USD: 100,000 credits = 1.00(1creditā0.00001)
| Returned followings per call | Price | USD equivalent |
|---|---|---|
| 200 (max page size) | 1 credit / following | $0.01 / 1k followings |
| 100 - 199 | 2 credits / following | $0.02 / 1k followings |
| 20 - 99 | 3 credits / following | $0.03 / 1k followings |
š” At max page size, 100,000 following profiles cost just $1.00.
Minimum charge: 60 credits ($0.0006) per call (20 followings Ć 3 credits, the smallest page size).
Authorizations
Query Parameters
screen name of the user
The cursor to paginate through the results. First page is "".
The number of followings to return per page. Default is 200.min 20,max 200
Response
User followings
Array of followings
Show child attributes
Show child attributes
Indicates if there are more results available
Cursor for fetching the next page of results
Status of the request.success or error
success, error Message of the request.error message